within DCOL.Distribution.HeatExchanger.Icons;
partial model Tubes

  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
                                Line(
          points={{-36,-82},{-66,-90}},
          color={255,0,0},
          thickness=1),       Line(
          points={{64,-90},{-58,-90},{-66,-90}},
          color={255,0,0},
          thickness=1,
          smooth=Smooth.Bezier),Line(
          points={{-38,-98},{-66,-90}},
          color={255,0,0},
          thickness=1,
          smooth=Smooth.Bezier),
                              Ellipse(
          extent={{-72,35},{72,-35}},
          lineColor={0,0,0},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid,
          origin={101,0},
          rotation=90),Ellipse(
          extent={{-58,23},{58,-23}},
          lineColor={0,0,0},
          origin={101,0},
          rotation=90),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={43,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={19,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-26,-9},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={31,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={55,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={67,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-17,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-41,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-26,-9},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-29,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-5,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={7,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-77,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-101,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-26,-9},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-89,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-65,0},
          rotation=270),Line(
          points={{-73,12},{-65,4},{-53,-2},{-41,-6},{-33,-8},{-25,-10},{-9,-12},
            {11,-12},{27,-10},{43,-6},{57,0},{65,6},{73,12}},
          color={0,0,0},
          smooth=Smooth.Bezier,
          origin={-53,0},
          rotation=270),Line(
          points={{101,73},{-89,73}},
          color={0,0,0},
          smooth=Smooth.Bezier),Line(
          points={{101,-73},{-89,-73}},
          color={0,0,0},
          smooth=Smooth.Bezier),
        Text(
          extent={{-120,40},{120,-20}},
          lineColor={0,0,255},
          textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=
            false)),
    Documentation(revisions="<html>
<p>2016-05-16 Eduardo Ubieta (IK4-TEKNIKER): First implementation</p>
<h4>Copyright &copy; IK4-TEKNIKER</h4>
</html>"));
end Tubes;
