within DCOL.Distribution.Pipes.Testing;
model SpatialDistribution_test
  parameter Real initialPoints[:]={0, 1};
  parameter Real initialValues[:]={-1.0, -1.0};
  Real v;
  Real x;
  Real in0;
//   Real out1;
  Real out1=sD_b.out1;
  DCOL.Distribution.Pipes.BaseClasses.spatialDistributionUser sD_b(
    n_max=100,
    tol_step=0.01,
    initialPoints=initialPoints,
    initialValues=initialValues,
    in0=in0,
    in1=0,
    x=x,
    positiveVelocity=true);

initial equation
  x = 0;

equation
  in0 = if time<5.0 then 1.0 else 2.0;
  v = 2.0;
  der(x) = v;
//   (,out1) = spatialDistribution(in0, 0, x, true,  initialPoints, initialValues);

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(coordinateSystem(preserveAspectRatio=false)));
end SpatialDistribution_test;
