within DCOL.Generation.ConventionalChillers.ChillerSpecs;
package Trane_RTAC_200 "Trane RTAC 200 Low Noise HE (730 kW)"
  extends Base(modelData(
    Qflow_eva_ref=730.3e3,
    COP_ref=2.85,
    PLRMax=1.04,
    PLRMin=0.20,
    PLRMinUnl=0.20,
    etaMotor=1.0,
    T_out_eva_nominal=7 + 273.15,
    T_out_eva_min=5 + 273.15,
    T_out_eva_max=13 + 273.15,
    mflow_eva_nominal=29.09,
    dp_eva_nominal=45,
    T_in_con_nominal=35 + 273.15,
    T_in_con_min=25 + 273.15,
    T_in_con_max=50 + 273.15,
    mflow_con_nominal=49.84));

  annotation (Documentation(info="<html>
</html>"));
end Trane_RTAC_200;
