within DCOL.Generation.ConventionalChillers.FMI;
model McQuayFmu_test
  extends DCOL.Generation.ConventionalChillers.FMI.PartialMcQuay_test;

  McQuay_fmu mcQuay_FMI(
    C_eva=5E6,
    m_flow_eva(start=46.54),
    Tin_eva(start=12 + 273.15),
    m_flow_con(start=78.732),
    Tin_con(start=35 + 273.15),
    P_com(start=974e3/3.15),
    pout_con(start=101.325E3, displayUnit="Pa"),
    pout_eva(displayUnit="Pa", start=101.325E3),
    fmi_NumberOfSteps=100,
    C_con=1E6) annotation (Placement(transformation(extent={{-28,-32},{32,28}})));

equation
  connect(Tin_con.y, mcQuay_FMI.Tin_con) annotation (Line(points={{-79,36},{-42,36},{-42,20.5},{-29.2,20.5}}, color={0,0,127}));
  connect(mflow_con.y, mcQuay_FMI.m_flow_con) annotation (Line(points={{-79,24},{-79,24},{-46,24},{-46,13},{-29.2,13}}, color={0,0,127}));
  connect(Tin_eva.y, mcQuay_FMI.Tin_eva) annotation (Line(points={{-79,-4},{-46,-4},{-46,-2},{-29.2,-2}}, color={0,0,127}));
  connect(mflow_eva.y, mcQuay_FMI.m_flow_eva) annotation (Line(points={{-79.6,-16},{-60,-16},{-60,-9.9},{-29.2,-9.9},{-29.2,-9.5}}, color={0,0,127}));
  connect(pout_con.y, mcQuay_FMI.pout_con) annotation (Line(points={{-79,12},{-56,12},{-56,5.5},{-29.2,5.5}}, color={0,0,127}));
  connect(pout_eva.y, mcQuay_FMI.pout_eva) annotation (Line(points={{-79,-30},{-54,-30},{-54,-17},{-29.2,-17}}, color={0,0,127}));
  connect(multiProduct.y, mcQuay_FMI.P_com) annotation (Line(points={{-58.98,-46},{-58.98,-46},{-40,-46},{-40,-24.5},{-29.2,-24.5}}, color={0,0,127}));
  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(coordinateSystem(preserveAspectRatio=false)));
end McQuayFmu_test;
