within DCOL.Generation.ConventionalChillers.Interfaces;
partial model PartialChiller
  extends Icons.Chiller;

  extends Interfaces.Partial2I2O(
    redeclare package Medium_1 = Medium_eva,
    redeclare package Medium_2 = Medium_con);

  //Evaporator
  replaceable package Medium_eva = Modelica.Media.Water.StandardWater
    constrainedby Modelica.Media.Interfaces.PartialMedium "Evaporator medium"
    annotation (choicesAllMatching = true, Dialog(tab="Evaporator"));
  //Condenser
  replaceable package Medium_con = Modelica.Media.Air.DryAirNasa
    constrainedby Modelica.Media.Interfaces.PartialMedium "Condenser medium"
    annotation (choicesAllMatching = true, Dialog(tab="Condenser"));

//   Modelica.Blocks.Interfaces.BooleanInput on
//     annotation (Placement(
//       transformation(
//       extent={{-20,-20},{20,20}},
//       rotation=90,
//       origin={-60,-120})));

  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio=false,
          extent={{-100,-100},{100,100}}), graphics={
        Text(
          extent={{-150,20},{150,-20}},
          textString="%name",
          lineColor={0,0,255},
          origin={0,113},
          rotation=360)}),
    Documentation(revisions="<html>
<p><span style=\"font-family: MS Shell Dlg 2;\">2016-05-16 <a href=\"mailto: jesus.febres@tekniker.es\">Jes&uacute;s Febres</a> (IK4-TEKNIKER): First implementation</span></p>
<p><span style=\"font-family: MS Shell Dlg 2;\"></p><p><b>Copyright &copy; IK4-TEKNIKER</span></b></p>
<p><span style=\"font-family: MS Shell Dlg 2;\"><img src=\"modelica://ModelicaTEK/Resources/Images/IK4-TEKNIKER_logo.jpg\"/></span></p>
</html>"));
end PartialChiller;
