within DCOL.Generation.CoolingTowers.BaseClasses;
model LevelControl
  extends DCOL.Generation.CoolingTowers.Interfaces.PartialLevelControl;

equation
  when level>hmax-0.001 then
    m_outflow=m_Out;
  elsewhen level<hmin then
    m_outflow=m_In;
  end when;

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)),
    Documentation(info="<html>
<p>This model is used to control the water level in the water basin. When the level of water in the storage is lower thwn a determined level, the model sends a real signal of the value of the fluid flow needed to introduce into the storage.</p>
</html>"));
end LevelControl;
