within DCOL.Generation.CoolingTowers.Icons;
partial model HeatExchanger

  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
        Polygon(
          points={{-85,-23},{-69,-65},{-53,-23},{-59,-23},{-69,-51},{-79,-23},{
              -85,-23}},
          lineColor={0,0,255},
          fillColor={0,0,255},
          fillPattern=FillPattern.Solid),
        Line(
          points={{57.5,0},{-57.5,0}},
          color={0,128,255},
          visible=showDesignFlowDirection,
          origin={-69.5,5},
          rotation=-90),
        Polygon(
          points={{55,19},{71,61},{87,19},{81,19},{71,47},{61,19},{55,19}},
          lineColor={255,0,0},
          fillColor={255,0,0},
          fillPattern=FillPattern.Solid),
        Line(
          points={{57.5,0},{-57.5,0}},
          color={255,0,0},
          origin={70.5,-4},
          rotation=90),
        Text(
          extent={{-80,20},{80,-20}},
          lineColor={0,0,255},
          textString="%name")}),
                          Diagram(coordinateSystem(preserveAspectRatio=false)),
    Documentation(revisions="<html>
<p>2016-05-16 <a href=\"mailto: eduardo.ubieta@tekniker.es\">Eduardo Ubieta</a> (IK4-TEKNIKER): First implementation</p>
<p><b>Copyright &copy; <a href=\"http://www.tekniker.es/en\">IK4-TEKNIKER</a></b></p>
</html>", info="<html>
<p>Icon of partial heat exchanger.</p>
</html>"));
end HeatExchanger;
