within DCOL.ThermalStorage.LatentStorages.Icons;
model IceStorageExternalMelting

  annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-160,
            -120},{160,120}}), graphics={
        Line(
          points={{0,-70},{0,-84}},
          color={85,255,85},
          thickness=1),
        Ellipse(
          extent={{-145,10},{-135,-10}},
          lineColor={0,0,0},
          lineThickness=1,
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-160,60},{-120,80},{-120,-60},{-160,-80},{-160,60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Rectangle(
          extent={{-120,80},{160,-60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Rectangle(
          extent={{-100,80},{140,-60}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-140,60},{-100,80},{140,80},{100,60},{-140,60}},
          lineColor={155,195,232},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-140,60},{-140,-80},{-100,-60},{-100,80},{-140,60}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{100,52},{100,-80},{140,-60},{140,72},{100,52}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-140,-80},{100,-80},{140,-60},{-100,-60},{-140,-80}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-112,32},{-108,24}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-114,34},{-106,22}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-112,6},{-108,-2}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-114,8},{-106,-4}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-112,-20},{-108,-28}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-114,-18},{-106,-30}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-112,-46},{-108,-54}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-114,-44},{-106,-56}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-132,-59},{-128,-67}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-134,-57},{-126,-69}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-132,-33},{-128,-41}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-134,-31},{-126,-43}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-132,-7},{-128,-15}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-134,-5},{-126,-17}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-132,19},{-128,11}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-134,21},{-126,9}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-132,45},{-128,37}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-134,47},{-126,35}}, lineColor={28,108,200}),
        Rectangle(
          extent={{-100,80},{140,-60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Polygon(
          points={{-140,60},{-100,80},{-100,-60},{-140,-80},{-140,60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Ellipse(
          extent={{-112,58},{-108,50}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-114,60},{-106,48}}, lineColor={28,108,200}),
        Line(points={{-110,60},{130,60}}, color={28,108,200}),
        Line(points={{-110,48},{130,48}}, color={28,108,200}),
        Rectangle(
          extent={{-110,58},{130,50}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{126,60},{134,48}}, lineColor={28,108,200}),
        Ellipse(
          extent={{128,58},{132,50}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-110,58},{130,58}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-110,50},{130,50}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-110,34},{130,34}}, color={28,108,200}),
        Line(points={{-110,22},{130,22}}, color={28,108,200}),
        Rectangle(
          extent={{-110,32},{130,24}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{126,34},{134,22}}, lineColor={28,108,200}),
        Ellipse(
          extent={{128,32},{132,24}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-110,32},{130,32}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-110,24},{130,24}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-110,8},{130,8}}, color={28,108,200}),
        Line(points={{-110,-4},{130,-4}}, color={28,108,200}),
        Rectangle(
          extent={{-110,6},{130,-2}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-110,6},{130,6}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{128,6},{132,-2}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{126,8},{134,-4}}, lineColor={28,108,200}),
        Line(
          points={{-110,-2},{130,-2}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-110,-18},{130,-18}}, color={28,108,200}),
        Line(points={{-110,-30},{130,-30}}, color={28,108,200}),
        Rectangle(
          extent={{-110,-20},{130,-28}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-110,-20},{130,-20}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{128,-20},{132,-28}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{126,-18},{134,-30}}, lineColor={28,108,200}),
        Line(
          points={{-110,-28},{130,-28}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-110,-44},{130,-44}}, color={28,108,200}),
        Line(points={{-110,-56},{130,-56}}, color={28,108,200}),
        Rectangle(
          extent={{-110,-46},{130,-54}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-110,-46},{130,-46}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{128,-46},{132,-54}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{126,-44},{134,-56}}, lineColor={28,108,200}),
        Line(
          points={{-110,-54},{130,-54}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-130,-57},{110,-57}}, color={28,108,200}),
        Line(points={{-130,-31},{110,-31}}, color={28,108,200}),
        Line(points={{-130,-43},{110,-43}}, color={28,108,200}),
        Rectangle(
          extent={{-130,-33},{110,-41}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-130,-33},{110,-33}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{108,-33},{112,-41}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{106,-31},{114,-43}}, lineColor={28,108,200}),
        Line(
          points={{-130,-41},{110,-41}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-130,-5},{110,-5}}, color={28,108,200}),
        Line(points={{-130,-17},{110,-17}}, color={28,108,200}),
        Rectangle(
          extent={{-130,-7},{110,-15}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-130,-7},{110,-7}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{108,-7},{112,-15}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{106,-5},{114,-17}}, lineColor={28,108,200}),
        Line(
          points={{-130,-15},{110,-15}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-130,21},{110,21}}, color={28,108,200}),
        Line(points={{-130,9},{110,9}}, color={28,108,200}),
        Rectangle(
          extent={{-130,19},{110,11}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-130,19},{110,19}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{108,19},{112,11}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{106,21},{114,9}}, lineColor={28,108,200}),
        Line(
          points={{-130,11},{110,11}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-130,47},{110,47}}, color={28,108,200}),
        Line(points={{-130,35},{110,35}}, color={28,108,200}),
        Rectangle(
          extent={{-130,45},{110,37}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-130,45},{110,45}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{108,45},{112,37}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{106,47},{114,35}}, lineColor={28,108,200}),
        Line(
          points={{-130,37},{110,37}},
          color={0,0,0},
          thickness=0.5),
        Polygon(
          points={{120,60},{160,80},{160,-60},{120,-80},{120,60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Rectangle(
          extent={{-140,60},{100,-80}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Polygon(
          points={{100,60},{140,80},{140,-60},{100,-80},{100,60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Ellipse(
          extent={{135,10},{145,-10}},
          lineColor={0,0,0},
          lineThickness=1,
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-16,76},{16,66}},
          lineColor={0,0,0},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Line(points={{-130,-69},{110,-69}}, color={28,108,200}),
        Line(
          points={{0,100},{0,86}},
          color={85,255,85},
          thickness=1),
        Polygon(
          points={{-8,92},{8,92},{0,72},{-8,92}},
          lineColor={85,255,85},
          lineThickness=1,
          fillColor={85,255,85},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-8,-78},{8,-78},{0,-98},{-8,-78}},
          lineColor={85,255,85},
          lineThickness=1,
          fillColor={85,255,85},
          fillPattern=FillPattern.Solid),
        Line(
          points={{0,-70},{0,-84}},
          color={85,255,85},
          thickness=1),
        Ellipse(
          extent={{-16,-64},{16,-74}},
          lineColor={0,0,0},
          lineThickness=1),
        Rectangle(
          extent={{-160,60},{120,-80}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Rectangle(
          extent={{-130,-59},{110,-67}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-130,-59},{110,-59}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-130,-67},{110,-67}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(
          extent={{108,-59},{112,-67}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Ellipse(extent={{106,-57},{114,-69}}, lineColor={28,108,200})}),
                                            Diagram(coordinateSystem(
          preserveAspectRatio=false, extent={{-160,-120},{160,120}})),
    Documentation(revisions="<html>
<p>2016-05-16 <a href=\"mailto: eduardo.ubieta@tekniker.es\">Eduardo Ubieta</a></a> (IK4-TEKNIKER): First implementation</p>
<p><b>Copyright &copy; <a href=\"http://www.tekniker.es/en\">IK4-TEKNIKER</a></b></p>
</html>"));
end IceStorageExternalMelting;
