within DCOL.ThermalStorage.LatentStorages.Interfaces;
model HeatSampler
  extends DCOL.ThermalStorage.LatentStorages.Interfaces.PartialModels.PartialHeatSampler;

initial equation
  port_a.Q_flow=0;
  port_b.Q_flow=0;

equation
  if Charging==true then
    port_a.Q_flow=port_b.Q_flow;
    port_a.T=port_b.T;
  else
    port_b.Q_flow=0;
    port_a.Q_flow=0;
  end if;

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)));
end HeatSampler;
