within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_11 "Properties of the E-11 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-11.60+273.15,
            rho_solid=1090.00,
            rho_liquid=1090.00,
            Cp_PCMs=3550,
            Cp_PCMl=3550,
            hfus=301.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-11 from PCMProducts</p>
</html>"));
end E_11;
