within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_19 "Properties of the E-19 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-18.70+273.15,
            rho_solid=1125.00,
            rho_liquid=1125.00,
            Cp_PCMs=3290,
            Cp_PCMl=3290,
            hfus=282.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-19 from PCMProducts</p>
</html>"));
end E_19;
