within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_26 "Properties of the E-26 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-26.00+273.15,
            rho_solid=1250.00,
            rho_liquid=1250.00,
            Cp_PCMs=3670,
            Cp_PCMl=3670,
            hfus=260.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-26 from PCMProducts</p>
</html>"));
end E_26;
