within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_29 "Properties of the E-29 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-29.00+273.15,
            rho_solid=1420.00,
            rho_liquid=1420.00,
            Cp_PCMs=3690,
            Cp_PCMl=3690,
            hfus=222.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-29 from PCMProducts</p>
</html>"));
end E_29;
