within DCOL.ThermalStorage.LatentStorages.PCMs.RUBITHERM;
package RT25HC "Properties of the RT25HC rom RUBITHERM used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=25+273.15,
            rho_solid=880.00,
            rho_liquid=770.00,
            Cp_PCMs=2000,
            Cp_PCMl=2000,
            hfus=230.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the RT25HC PCM from RUBITHERM</p>
</html>"));
end RT25HC;
