within DCOL.ThermalStorage.SensibleStorages.Icons;
partial model ClosedCylindricalTank

  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
        Ellipse(
          extent={{-100,-80},{100,-100}},
          lineColor={28,108,200},
          fillColor={0,128,255},
          fillPattern=FillPattern.Sphere),
        Rectangle(
          extent={{-100,90},{100,-90}},
          lineColor={28,108,200},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,128,255}),
        Ellipse(
          extent={{-100,100},{100,80}},
          lineColor={28,108,200},
          fillColor={0,128,255},
          fillPattern=FillPattern.Sphere),
        Line(points={{100,90},{100,44},{122,70},{146,18}}, pattern=
              LinePattern.None),
        Line(points={{100,90},{100,44}}, color={0,128,255}),
        Line(points={{-100,90},{-100,44}}, color={0,128,255}),
        Ellipse(extent={{-100,100},{100,80}}, lineColor={28,108,200}),
        Text(
          extent={{-152,60},{150,-20}},
          lineColor={0,0,0},
          textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=
            false)),
    Documentation(revisions="<html>
<p>2016-05-16 <a href=\"mailto: eduardo.ubieta@tekniker.es\">Eduardo Ubieta</a> (IK4-TEKNIKER): First implementation</p>
<p><b>Copyright &copy; <a href=\"http://www.tekniker.es/en\">IK4-TEKNIKER</a></b></p>
</html>"));
end ClosedCylindricalTank;
