within ;
package DCOL "District cooling open-source library"






annotation (Documentation(info="<html>
<p>DCOL (an <b>open-source</b> library with parametric <b>thermo-fluid dynamic models of DC System components</b>) is part of the main developments carried out within the EU funded project, <b><a href=\"http://www.indigo-project.eu/\">INDIGO</a></b>. This library is meant to support the DC systems&rsquo; designers (private ESCOSs and others). The models provide detailed information about physical behaviour of DC system components, thus allowing for a better overall system design. In addition, the library is used within INDIGO to produce simpler models to support model-based applications. Particularly, the models are reduced to build the model predictive controllers developed in the project. Simplified version of the developed models are used as benchmark in a DC planning tool.</p>
<p>For more information about INDIGO and DCOL, please visit the <a href=\"http://www.indigo-project.eu/\">project&acute;s website</a>.</p>
<p><img src=\"modelica://Modelica_IK4_TEKNIKER/DCOL/Resources/Images/UsersGuide/Indigo-logo.png\"/></p>
<p><img src=\"modelica://Modelica_IK4_TEKNIKER/DCOL/Resources/Images/UsersGuide/UE-funding-INDIGO.png\"/></p>
</html>"), uses(
    Modelica(version="3.2.2"),
    ModelicaServices(version="3.2.2"),
    Modelica_StateGraph2(version="2.0.3")));
end DCOL;
