within DCOL.Consumption.Psychrometrics.Functions.InProgress;
function W3
  "Return the humidity ratio of moist air given the dry-bulb temperature, the specific enthalpy"
  input Modelica.SIunits.Temp_C Tdb "dry-buld temperature";
  input Modelica.SIunits.SpecificEnthalpy h "specifiv enthalpy";
  output Modelica.SIunits.MassFraction W "humidity ratio";

algorithm
  W := (h - 1006*Tdb)/(2501e3 + 1860*Tdb);

end W3;
