within DCOL.Consumption.Psychrometrics.Functions;
function RH
  "Return the relative humidity of moist air given the partial pressure and the saturation pressure"

  input Modelica.SIunits.Pressure pw "partial pressure";
  input Modelica.SIunits.Pressure pws "saturation pressure";
  output Fluid.Types.Percentage RH "relative humidity";

algorithm
  RH := pw/pws;

end RH;
