within DCOL.Consumption.Psychrometrics.Functions;
function W1
  "Return the humidity ratio of moist air given the partial pressure and the total pressure"

  input Modelica.SIunits.Pressure p "total pressure";
  input Modelica.SIunits.Pressure pw "partial pressure";
  output Modelica.SIunits.MassFraction W "humidity ratio";

algorithm
  W := 0.621945*pw/(p - pw);

end W1;
