within DCOL.Consumption.Psychrometrics.Functions;
function Ws
  "return the humidity ratio of saturated moist air given the tempeture and the total pressure"

  input Modelica.SIunits.Pressure p;
  //total pressure
  input Modelica.SIunits.Temp_C T;
  //temperature
  output Modelica.SIunits.MassFraction Ws;
  //humidity ratio at temperature T

algorithm
  Ws := W1(p=p, pw=p_ws(Tin=T));

end Ws;
