within DCOL.Generation.ConventionalChillers.ChillerSpecs;
package Trane_RTD_300 "Trane RTHD 300 SE (1050 kW)"
  extends Base(modelData(
    Qflow_eva_ref=1050e3,
    COP_ref=5.028,
    PLRMax=1.04,
    PLRMin=0.20,
    PLRMinUnl=0.20,
    etaMotor=1.0,
    T_out_eva_nominal=7 + 273.15,
    T_out_eva_min=5 + 273.15,
    T_out_eva_max=13 + 273.15,
    mflow_eva_nominal=50.33,
    dp_eva_nominal=45,
    T_in_con_nominal=30 + 273.15,
    T_in_con_min=25 + 273.15,
    T_in_con_max=50 + 273.15,
    mflow_con_nominal=58.83));

  annotation (Documentation(info="<html>
</html>"));
end Trane_RTD_300;
