within DCOL.Generation.ConventionalChillers.FMI;
model McQuayDym_test
  extends DCOL.Generation.ConventionalChillers.FMI.PartialMcQuay_test;

  DCOL.Generation.ConventionalChillers.FMI.McQuay mcQuay_FMI(C_eva=5E6, n=4) annotation (Placement(transformation(extent={{-30,-30},{30,30}})));

equation
  connect(Tin_con.y, mcQuay_FMI.Tin_con) annotation (Line(points={{-79,36},{-36,36},{-36,24}}, color={0,0,127}));
  connect(pout_con.y, mcQuay_FMI.pout_con) annotation (Line(points={{-79,12},{-60,12},{-36,12}}, color={0,0,127}));
  connect(mflow_con.y, mcQuay_FMI.m_flow_con) annotation (Line(points={{-79,24},{-62,24},{-62,18},{-44,18},{-36,18}}, color={0,0,127}));
  connect(Tin_eva.y, mcQuay_FMI.Tin_eva) annotation (Line(points={{-79,-4},{-36,-4},{-36,-12}}, color={0,0,127}));
  connect(pout_eva.y, mcQuay_FMI.pout_eva) annotation (Line(points={{-79,-44},{-58,-44},{-36,-44},{-36,-24}}, color={0,0,127}));
  connect(multiProduct.y, mcQuay_FMI.P_com) annotation (Line(points={{-18.98,-60},{-10,-60},{0,-60},{0,-36}}, color={0,0,127}));
  connect(multiProduct1.y, mcQuay_FMI.m_flow_eva) annotation (Line(points={{-52.98,-18},{-36,-18}}, color={0,0,127}));
  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(coordinateSystem(preserveAspectRatio=false)),
    experiment(
      StopTime=3600,
      __Dymola_NumberOfIntervals=100,
      Tolerance=1e-006,
      __Dymola_Algorithm="Dassl"));
end McQuayDym_test;
