within DCOL.Generation.ConventionalChillers.FMI;
model PartialMcQuay_test
  Modelica.Blocks.Sources.Step           mflow_eva(
    height=0.3*46.54,
    offset=46.54,
    startTime=900)
    annotation (Placement(transformation(extent={{-88,-20},{-80,-12}})));
  Modelica.Blocks.Sources.RealExpression Tin_eva(y=7 + 5 + 273.15) annotation (Placement(transformation(extent={{-100,-14},{-80,6}})));
  Modelica.Blocks.Sources.RealExpression Tin_con(y=35 + 273.15) annotation (Placement(transformation(extent={{-100,26},{-80,46}})));
  Modelica.Blocks.Sources.RealExpression mflow_con(y=78.732 + (if time > 2400 then 0.3 else 0.0)*78.732)
                                                             annotation (Placement(transformation(extent={{-100,14},{-80,34}})));
  Modelica.Blocks.Sources.Step P_com(
    height=0.1*974e3/3.15,
    offset=974e3/3.15,
    startTime=1800) annotation (Placement(transformation(extent={{-54,-62},{-46,-54}})));
  Modelica.Blocks.Sources.RealExpression pout_con(y=101.325E3 + (if time > 800 then 0.1 else 0.0)*101.325E3) annotation (Placement(transformation(extent={{-100,2},{-80,22}})));
  Modelica.Blocks.Sources.RealExpression pout_eva(y=101.325E3) annotation (Placement(transformation(extent={{-100,-54},{-80,-34}})));
  Modelica.Blocks.Sources.Ramp zero(
    offset=1,
    startTime=2700,
    height=-1,
    duration=300)   annotation (Placement(transformation(extent={{-54,-82},{-46,-74}})));
  Modelica.Blocks.Math.MultiProduct multiProduct(nu=2) annotation (Placement(transformation(extent={{-32,-66},{-20,-54}})));
  Modelica.Blocks.Sources.Ramp zero1(
    offset=1,
    startTime=2700,
    height=-1,
    duration=300)   annotation (Placement(transformation(extent={{-88,-32},{-80,-24}})));
  Modelica.Blocks.Math.MultiProduct multiProduct1(nu=2)
                                                       annotation (Placement(transformation(extent={{-66,-24},{-54,-12}})));
equation
  connect(P_com.y, multiProduct.u[1]) annotation (Line(points={{-45.6,-58},{-42,-58},{-42,-57.9},{-32,-57.9}}, color={0,0,127}));
  connect(zero.y, multiProduct.u[2]) annotation (Line(points={{-45.6,-78},{-42,-78},{-42,-62.1},{-32,-62.1}}, color={0,0,127}));
  connect(mflow_eva.y, multiProduct1.u[1]) annotation (Line(points={{-79.6,-16},{-66,-16},{-66,-15.9}}, color={0,0,127}));
  connect(zero1.y, multiProduct1.u[2]) annotation (Line(points={{-79.6,-28},{-72,-28},{-72,-20.1},{-66,-20.1}}, color={0,0,127}));
  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(coordinateSystem(preserveAspectRatio=false)),
    experiment(StopTime=3600));
end PartialMcQuay_test;
