within DCOL.Generation.ConventionalChillers.Interfaces;
partial model Partial2I2O "2-Inputs-2Outputs interface"
  outer Modelica.Fluid.System system "System wide properties";

  replaceable package Medium_1 =
      Modelica.Media.Interfaces.PartialMedium "Medium_1"
      annotation (choicesAllMatching = true);

  replaceable package Medium_2 =
      Modelica.Media.Interfaces.PartialMedium "Medium_2"
      annotation (choicesAllMatching = true);

  Modelica.Fluid.Interfaces.FluidPort_a port_a_1(redeclare package Medium =
        Medium_1)
    annotation (Placement(transformation(extent={{-110,-90},{-90,-70}}),
        iconTransformation(extent={{-110,-90},{-90,-70}})));
  Modelica.Fluid.Interfaces.FluidPort_b port_b_1(redeclare package Medium =
        Medium_1)
    annotation (Placement(transformation(extent={{90,-90},{110,-70}}),
        iconTransformation(extent={{90,-90},{110,-70}})));
  Modelica.Fluid.Interfaces.FluidPort_a port_a_2(redeclare package Medium =
        Medium_2)
    annotation (Placement(transformation(extent={{90,70},{110,90}}),
        iconTransformation(extent={{90,70},{110,90}})));
  Modelica.Fluid.Interfaces.FluidPort_b port_b_2(redeclare package Medium =
        Medium_2)
    annotation (Placement(transformation(extent={{-110,70},{-90,90}}),
        iconTransformation(extent={{-110,70},{-90,90}})));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio=false,
          extent={{-100,-100},{100,100}})),
    Documentation(revisions="<html>
<p><span style=\"font-family: MS Shell Dlg 2;\">2016-05-16 <a href=\"mailto: jesus.febres@tekniker.es\">Jes&uacute;s Febres</a> (IK4-TEKNIKER): First implementation</span></p>
<p><span style=\"font-family: MS Shell Dlg 2;\"></p><p><b>Copyright &copy; IK4-TEKNIKER</span></b></p>
<p><span style=\"font-family: MS Shell Dlg 2;\"><img src=\"modelica://ModelicaTEK/Resources/Images/IK4-TEKNIKER_logo.jpg\"/></span></p>
</html>"));
end Partial2I2O;
