within DCOL.Generation.SolarThermal.FMU.Test;
model Test_SolarSystemBasurtoSOLTOP
  SolarSystemBasurtoSOLTOP solarSystemBasurtoSOLTOP(n=267, e=2)
    annotation (Placement(transformation(extent={{12,-20},{72,20}})));
  Modelica.Blocks.Sources.CombiTimeTable combiTimeTable(
    tableOnFile=true,
    tableName="A",
    columns={2,3,4,5,6,7,8,9,10,11,12,13,14},
    fileName=
        "D:/Users/eubieta/Proyectos/INDIGO/TablasTiempo/2013_09_24_Data_DeltaI_Qcreciente_Ini5000s - copia.mat")
    annotation (Placement(transformation(extent={{-90,10},{-70,30}})));
  Modelica.Blocks.Sources.Constant m_flow(k=0.03*36)
    annotation (Placement(transformation(extent={{-90,-20},{-70,0}})));
  Modelica.Blocks.Sources.Constant const1(k=70 + 273.15)
    annotation (Placement(transformation(extent={{-90,-50},{-70,-30}})));
  Modelica.Blocks.Math.Gain gain(k=3600)
    annotation (Placement(transformation(extent={{-22,-2},{-12,8}})));
equation
  connect(combiTimeTable.y[9], solarSystemBasurtoSOLTOP.ambientTemperature)
    annotation (Line(points={{-69,20},{-46,20},{-46,16.6667},{12,16.6667}},
        color={0,0,127}));
  connect(combiTimeTable.y[4],solarSystemBasurtoSOLTOP.Ighor)  annotation (Line(
        points={{-69,20},{-46,20},{-46,10},{12,10}},  color={0,0,127}));
  connect(combiTimeTable.y[3], solarSystemBasurtoSOLTOP.irradiance) annotation (
     Line(points={{-69,20},{-46,20},{-46,-3.33333},{12,-3.33333}},  color={0,0,
          127}));
  connect(m_flow.y, solarSystemBasurtoSOLTOP.inlet_massFlow)
    annotation (Line(points={{-69,-10},{12,-10}},  color={0,0,127}));
  connect(const1.y, solarSystemBasurtoSOLTOP.inlet_Temperature) annotation (
      Line(points={{-69,-40},{-46,-40},{-46,-16.6667},{12,-16.6667}},  color={0,
          0,127}));
  connect(combiTimeTable.y[13], gain.u) annotation (Line(points={{-69,20},{-46,
          20},{-46,3},{-23,3}}, color={0,0,127}));
  connect(gain.y, solarSystemBasurtoSOLTOP.localTime) annotation (Line(points={
          {-11.5,3},{0.25,3},{0.25,3.33333},{12,3.33333}}, color={0,0,127}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    experiment(
      StopTime=13188,
      __Dymola_NumberOfIntervals=6594,
      __Dymola_Algorithm="Cvode"));
end Test_SolarSystemBasurtoSOLTOP;
