within DCOL.ThermalStorage.LatentStorages.Icons;
model IceStorageExternalMelting_step

  annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-200,
            -100},{200,100}}), graphics={
        Rectangle(
          extent={{-180,-20},{60,-60}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Line(
          points={{0,-48},{0,-78}},
          color={85,255,85},
          thickness=1),
        Ellipse(
          extent={{-146,0},{-134,-20}},
          lineColor={0,0,0},
          lineThickness=1,
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-180,-20},{-60,40},{180,40},{60,-20},{-180,-20}},
          lineColor={155,195,232},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-60,40},{180,40},{180,0},{-60,0},{-60,40}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Rectangle(
          extent={{-80,40},{200,0}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Polygon(
          points={{-180,-20},{-180,-58},{-60,2},{-60,40},{-180,-20}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{60,-20},{60,-60},{180,0},{180,40},{60,-20}},
          lineColor={170,213,255},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-180,-20},{-60,40},{-60,0},{-180,-60},{-180,-20}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Polygon(
          points={{-200,-20},{-80,40},{-80,0},{-200,-60},{-200,-20}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Ellipse(extent={{-76,22},{-64,2}},      lineColor={28,108,200}),
        Ellipse(
          extent={{-73,18},{-67,6}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Line(points={{-70,2},{170,2}},      color={28,108,200}),
        Line(points={{-70,22},{170,22}},    color={28,108,200}),
        Rectangle(
          extent={{-70,18},{170,6}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-70,18},{170,18}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-70,6},{170,6}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(extent={{164,22},{176,2}},      lineColor={28,108,200}),
        Ellipse(
          extent={{167,18},{173,6}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-96,12},{-84,-8}},     lineColor={28,108,200}),
        Ellipse(
          extent={{-93,8},{-87,-4}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Line(points={{-90,-8},{150,-8}},    color={28,108,200}),
        Line(points={{-90,12},{150,12}},    color={28,108,200}),
        Rectangle(
          extent={{-90,8},{150,-4}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-90,8},{150,8}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-90,-4},{150,-4}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(extent={{144,12},{156,-8}},     lineColor={28,108,200}),
        Ellipse(
          extent={{147,8},{153,-4}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-116,2},{-104,-18}},   lineColor={28,108,200}),
        Ellipse(
          extent={{-113,-2},{-107,-14}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Line(points={{-110,-18},{130,-18}}, color={28,108,200}),
        Line(points={{-110,2},{130,2}},     color={28,108,200}),
        Rectangle(
          extent={{-110,-2},{130,-14}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-110,-2},{130,-2}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-110,-14},{130,-14}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(extent={{124,2},{136,-18}},     lineColor={28,108,200}),
        Ellipse(
          extent={{127,-2},{133,-14}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-136,-8},{-124,-28}},  lineColor={28,108,200}),
        Ellipse(
          extent={{-133,-12},{-127,-24}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Line(points={{-130,-28},{110,-28}}, color={28,108,200}),
        Line(points={{-130,-8},{110,-8}},   color={28,108,200}),
        Rectangle(
          extent={{-130,-12},{110,-24}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-130,-12},{110,-12}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-130,-24},{110,-24}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(extent={{104,-8},{116,-28}},    lineColor={28,108,200}),
        Ellipse(
          extent={{107,-12},{113,-24}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-156,-18},{-144,-38}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-153,-22},{-147,-34}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Line(points={{-150,-38},{90,-38}},  color={28,108,200}),
        Line(points={{-150,-18},{90,-18}},  color={28,108,200}),
        Rectangle(
          extent={{-150,-22},{90,-34}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-150,-22},{90,-22}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-150,-34},{90,-34}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(extent={{84,-18},{96,-38}},     lineColor={28,108,200}),
        Ellipse(
          extent={{87,-22},{93,-34}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Ellipse(extent={{-176,-28},{-164,-48}}, lineColor={28,108,200}),
        Ellipse(
          extent={{-173,-32},{-167,-44}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Line(points={{-170,-48},{70,-48}},  color={28,108,200}),
        Line(points={{-170,-28},{70,-28}},  color={28,108,200}),
        Rectangle(
          extent={{-170,-32},{70,-44}},
          lineColor={222,135,100},
          lineThickness=0.5,
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-170,-32},{70,-32}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{-170,-44},{70,-44}},
          color={0,0,0},
          thickness=0.5),
        Ellipse(extent={{64,-28},{76,-48}},     lineColor={28,108,200}),
        Rectangle(
          extent={{-200,-20},{80,-60}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Ellipse(
          extent={{-16,4},{16,-6}},
          lineColor={0,0,0},
          lineThickness=1,
          fillColor={170,213,255},
          fillPattern=FillPattern.Solid),
        Line(
          points={{0,60},{0,14}},
          color={85,255,85},
          thickness=1),
        Polygon(
          points={{-8,20},{8,20},{0,0},{-8,20}},
          lineColor={85,255,85},
          lineThickness=1,
          fillColor={85,255,85},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-8,-72},{8,-72},{0,-92},{-8,-72}},
          lineColor={85,255,85},
          lineThickness=1,
          fillColor={85,255,85},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{67,-32},{73,-44}},
          lineColor={0,0,0},
          fillColor={222,135,100},
          fillPattern=FillPattern.Solid,
          lineThickness=0.5),
        Polygon(
          points={{60,-20},{180,40},{180,0},{60,-60},{60,-20}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Polygon(
          points={{80,-20},{200,40},{200,0},{80,-60},{80,-20}},
          lineColor={28,108,200},
          lineThickness=0.5),
        Ellipse(
          extent={{134,0},{146,-20}},
          lineColor={0,0,0},
          lineThickness=1,
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid)}), Diagram(coordinateSystem(
          preserveAspectRatio=false, extent={{-200,-100},{200,100}})),
    Documentation(revisions="<html>
<p>2016-05-16 <a href=\"mailto: eduardo.ubieta@tekniker.es\">Eduardo Ubieta</a></a> (IK4-TEKNIKER): First implementation</p>
<p><b>Copyright &copy; <a href=\"http://www.tekniker.es/en\">IK4-TEKNIKER</a></b></p>
</html>"));
end IceStorageExternalMelting_step;
