within DCOL.ThermalStorage.LatentStorages.Icons;
partial model StorageWall

  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
        Polygon(
          points={{60,80},{100,50},{100,-80},{60,-50},{60,-50},{60,-50},{60,80}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={215,215,215},
          fillPattern=FillPattern.Forward),
        Rectangle(
          extent={{-100,80},{60,-50}},
          lineColor={0,0,0},
          lineThickness=0.5,
          pattern=LinePattern.Dash),
        Polygon(
          points={{-100,80},{60,80},{100,50},{-60,50},{-100,80}},
          lineThickness=0.5,
          lineColor={0,0,0},
          fillColor={215,215,215},
          fillPattern=FillPattern.Forward),
        Rectangle(
          extent={{-60,50},{100,-80}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={215,215,215},
          fillPattern=FillPattern.Backward),
        Text(
          extent={{-150,-80},{150,-120}},
          lineColor={0,0,255},
          textString="%name"),
        Rectangle(
          extent={{-53,42},{87,-64}},
          lineColor={0,0,0},
          lineThickness=0.5,
          pattern=LinePattern.Dash),
        Polygon(
          points={{-100,80},{-60,50},{-60,-80},{-100,-50},{-100,-50},{-100,-50},
              {-100,80}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={215,215,215},
          fillPattern=FillPattern.Forward),
        Line(
          points={{-90,90},{40,90}},
          color={0,0,255},
          thickness=0.5),
        Text(
          extent={{36,82},{166,66}},
          lineColor={0,0,255},
          textString="w"),
        Text(
          extent={{-84,5},{-2,-5}},
          lineColor={0,0,0},
          textString="1"),
        Text(
          extent={{-194,30},{-64,14}},
          lineColor={0,0,255},
          textString="h"),
        Line(
          points={{-120,80},{-120,-40}},
          color={0,0,255},
          thickness=0.5),
        Line(
          points={{70,84},{110,54}},
          color={0,0,255},
          thickness=0.5),
        Rectangle(
          extent={{-88,68},{52,-38}},
          lineColor={0,0,0},
          lineThickness=0.5,
          pattern=LinePattern.Dash),
        Polygon(
          points={{-33,42},{-68,68},{-68,-38},{-33,-64},{-33,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{-13,42},{-48,68},{-48,-38},{-13,-64},{-13,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{7,42},{-28,68},{-28,-38},{7,-64},{7,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{27,42},{-8,68},{-8,-38},{27,-64},{27,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{-53,42},{-88,68},{-88,-38},{-53,-64},{-53,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{47,42},{12,68},{12,-38},{47,-64},{47,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{67,42},{32,68},{32,-38},{67,-64},{67,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Polygon(
          points={{87,42},{52,68},{52,-38},{87,-64},{87,42}},
          lineColor={0,0,0},
          pattern=LinePattern.Dash,
          lineThickness=0.5),
        Text(
          extent={{-64,5},{18,-5}},
          lineColor={0,0,0},
          textString="2"),
        Text(
          extent={{36,5},{118,-5}},
          lineColor={0,0,0},
          textString="nSeg"),
        Text(
          extent={{-90,106},{40,90}},
          lineColor={0,0,255},
          textString="l")}),     Diagram(coordinateSystem(preserveAspectRatio=
            false)),
    Documentation(revisions="<html>
<p>2016-05-16 <a href=\"mailto: eduardo.ubieta@tekniker.es\">Eduardo Ubieta</a></a> (IK4-TEKNIKER): First implementation</p>
<p><b>Copyright &copy; <a href=\"http://www.tekniker.es/en\">IK4-TEKNIKER</a></b></p>
</html>"));

end StorageWall;
