within DCOL.ThermalStorage.LatentStorages.PCMs;
package Ice_Water "Properties of the Ice/water used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=0+273.15,
            rho_solid=917.00,
            rho_liquid=999.82,
            Cp_PCMs=2110,
            Cp_PCMl=4184,
            hfus=333.55*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the Ice/Water PCM</p>
</html>"));
end Ice_Water;
