within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_12 "Properties of the E-12 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-12.30+273.15,
            rho_solid=1110.00,
            rho_liquid=1110.00,
            Cp_PCMs=3470,
            Cp_PCMl=3470,
            hfus=250.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-12 from PCMProducts</p>
</html>"));
end E_12;
