within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_14 "Properties of the E-14 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-14.80+273.15,
            rho_solid=1220.00,
            rho_liquid=1220.00,
            Cp_PCMs=3510,
            Cp_PCMl=3510,
            hfus=243.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-14 from PCMProducts</p>
</html>"));
end E_14;
