within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_15 "Properties of the E-15 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-15.00+273.15,
            rho_solid=1060.00,
            rho_liquid=1060.00,
            Cp_PCMs=3870,
            Cp_PCMl=3870,
            hfus=303.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-15 from PCMProducts</p>
</html>"));
end E_15;
