within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_2 "Properties of the E-2 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-2.00+273.15,
            rho_solid=1070.00,
            rho_liquid=1070.00,
            Cp_PCMs=3800,
            Cp_PCMl=3800,
            hfus=306.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-2 from PCMProducts</p>
</html>"));
end E_2;
