within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_21 "Properties of the E-21 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-20.60+273.15,
            rho_solid=1240.00,
            rho_liquid=1240.00,
            Cp_PCMs=3130,
            Cp_PCMl=3130,
            hfus=263.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-21 from PCMProducts</p>
</html>"));
end E_21;
