within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_22 "Properties of the E-22 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-22.00+273.15,
            rho_solid=1180.00,
            rho_liquid=1180.00,
            Cp_PCMs=3340,
            Cp_PCMl=3340,
            hfus=234.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-22 from PCMProducts</p>
</html>"));
end E_22;
