within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_3 "Properties of the E-3 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-3.70+273.15,
            rho_solid=1060.00,
            rho_liquid=1060.00,
            Cp_PCMs=3840,
            Cp_PCMl=3840,
            hfus=312.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-3 from PCMProducts</p>
</html>"));
end E_3;
