within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.EUTECTIC;
package E_6 "Properties of the E-6 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=-6.00+273.15,
            rho_solid=1110.00,
            rho_liquid=1110.00,
            Cp_PCMs=3830,
            Cp_PCMl=3830,
            hfus=275.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the E-6 from PCMProducts</p>
</html>"));
end E_6;
