within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.HYDRATED_SALT;
package S17 "Properties of the S17 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=17+273.15,
            rho_solid=1525.00,
            rho_liquid=1525.00,
            Cp_PCMs=1900,
            Cp_PCMl=1900,
            hfus=160.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the S17 from PCMProducts</p>
</html>"));
end S17;
