within DCOL.ThermalStorage.LatentStorages.PCMs.PCMProducts.HYDRATED_SALT;
package S27 "Properties of the S27 from PCMProducts used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=27.0+273.15,
            rho_solid=1530.00,
            rho_liquid=1530.00,
            Cp_PCMs=2200,
            Cp_PCMl=2200,
            hfus=183.00*10^3);

  annotation (Documentation(info="<html>
<p>Properties of the S27 from PCMProducts</p>
</html>"));
end S27;
