within DCOL.ThermalStorage.LatentStorages.PCMs.RUBITHERM;
package RT26 "Properties of the RT26 rom RUBITHERM used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=26+273.15,
            rho_solid=880.00,
            rho_liquid=750.00,
            Cp_PCMs=2000,
            Cp_PCMl=2000,
            hfus=180.00*10^3);


  annotation (Documentation(info="<html>
<p>Properties of the RT26 PCM from RUBITHERM</p>
</html>"));
end RT26;
