within DCOL.ThermalStorage.LatentStorages.PCMs.RUBITHERM;
package RT28 "Properties of the RT28 rom RUBITHERM used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=27.50+273.15,
            rho_solid=880.00,
            rho_liquid=770.00,
            Cp_PCMs=2000,
            Cp_PCMl=2000,
            hfus=250.00*10^3);


  annotation (Documentation(info="<html>
<p>Properties of the RT28 PCM from RUBITHERM</p>
</html>"));
end RT28;
