within DCOL.ThermalStorage.LatentStorages.PCMs.RUBITHERM;
package SP29Eu "Properties of the SP29Eu from RUBITHERM used as PCM"
  extends BaseClasses.PCM_Properties(
            T_fus=28+273.15,
            rho_solid=1550.00,
            rho_liquid=1500.00,
            Cp_PCMs=2000,
            Cp_PCMl=2000,
            hfus=200.00*10^3);


  annotation (Documentation(info="<html>
<p>Properties of the SP29Eu PCM from RUBITHERM</p>
</html>"));
end SP29Eu;
