within DCOL.ThermalStorage.SensibleStorages.Icons;
model Buoyancy

  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
                                         Text(
          extent={{-50,140},{48,92}},
          lineColor={0,0,255},
          textString="%name"),
        Rectangle(
          extent={{-100,100},{100,-100}},
          lineColor={0,0,0},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Rectangle(
          extent={{-100,100},{100,30}},
          lineColor={255,255,255},
          fillColor={0,128,255},
          fillPattern=FillPattern.HorizontalCylinder),
        Rectangle(
          extent={{-100,-30},{100,-100}},
          lineColor={255,255,255},
          fillColor={255,0,0},
          fillPattern=FillPattern.HorizontalCylinder),
        Rectangle(
          extent={{-100,100},{100,70}},
          lineColor={0,128,255},
          fillPattern=FillPattern.Solid,
          fillColor={0,128,255}),
        Rectangle(
          extent={{-100,-70},{100,-100}},
          lineColor={255,0,0},
          fillPattern=FillPattern.Solid,
          fillColor={255,0,0}),
        Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
        Line(
          points={{-50,70},{-50,-70}},
          color={0,128,255},
          thickness=0.5),
        Line(
          points={{50,70},{50,-70}},
          color={255,0,0},
          thickness=0.5),
        Polygon(
          points={{-58,-60},{-50,-80},{-42,-60},{-58,-60}},
          lineColor={0,128,255},
          lineThickness=0.5,
          fillColor={0,128,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{42,60},{50,80},{58,60},{42,60}},
          lineThickness=0.5,
          fillColor={255,0,0},
          fillPattern=FillPattern.Solid,
          pattern=LinePattern.None,
          lineColor={255,0,0})}), Diagram(coordinateSystem(preserveAspectRatio=
            false)));
end Buoyancy;
